import request from '@/assets/js/utils/request'
/* ======================================专家交通费API接口================================================= */

// 交通费报销-新增或修改
export function addOrUpdateTrafficFee(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFee/addOrUpdateTrafficFee',
    method: 'post',
    data
  })
}
// 交通费报销-删除
export function deleteTrafficFee(id) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFee/deleteTrafficFee?id=' + id,
    method: 'post'
  })
}
// 交通费报销-单个查询交通费报销信息
export function getByIdTrafficFeeInfo(id) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFee/getByIdTrafficFeeInfo?id=' + id,
    method: 'post'
  })
}
// 交通费报销-分页查询交通费报销信息列表
export function queryTrafficFeePageListInfo(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFee/queryTrafficFeePageListInfo',
    method: 'post',
    data
  })
}
// 评审费发放明细-修改
export function addOrUpdateTrafficFeeDetail(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFeeDetail/addOrUpdateTrafficFee',
    method: 'post',
    data
  })
}
// 交通费报销明细-删除
export function deleteTrafficFeeDetail(id) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFeeDetail/deleteTrafficFeeDetail?id=' + id,
    method: 'post'
  })
}
// 交通费报销明细-单个查询
export function getByIdTrafficFeeDetailInfo(id) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFeeDetail/getByIdTrafficFeeDetailInfo?id=' + id,
    method: 'post'
  })
}
// 交通费报销明细-分页查询明细列表
export function queryTrafficFeeDetailPageList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFeeDetail/queryTrafficFeeDetailPageList',
    method: 'post',
    data
  })
}

// 交通费报销明细-提交
export function submitTrafficFeeDetail(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/trafficfee/trafficFeeDetail/submitTrafficFeeDetail',
    method: 'post',
    data
  })
}

